=== debian/changelog ===
src2tex (2.12h-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0.
    (Closes: #1007515)

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip.
    (Closes: 948090)

 -- Bastian Germann <bage@debian.org>  Sat, 01 Jun 2024 11:04:29 +0000

src2tex (2.12h-9) unstable; urgency=medium

  * Recommend texlive instead of tetex-bin which is no longer available
    (Closes: #549184).
  * Switch to debhelper 9.
  * Switch to a simple, default dh debian/rules.
  * Updated to standards-version 3.9.8:
    - Fix package description.
    - Update copyright file format.
    - Depend on ${misc:Depends}.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 09 Jul 2016 22:37:39 +0200

src2tex (2.12h-8) unstable; urgency=low

  * New maintainer (Closes: #353619).
  * Updated standards version to 3.7.2.
  * Removed unnecessary README.Debian.

 -- Sebastian Harl <sh@tokkee.org>  Wed, 12 Jul 2006 12:54:49 +0200

src2tex (2.12h-7) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#353619); set maintainer to Debian QA Group.
  * Switch to debhelper 5.
  * debian/copyright: Include copyright holders.  Closes: #302985.
  * debian/src2tex.1: s/src2tex.c.ps/src2tex.c.ps.gz/  Closes: #284029.
  * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu,  9 Mar 2006 09:51:07 +0100

src2tex (2.12h-6) unstable; urgency=low

  * (control): Fixed the long description to format right.
    (Closes: Bug#120952)

 -- Takao KAWAMURA <kawamura@debian.org>  Tue, 27 Nov 2001 11:15:15 +0900

src2tex (2.12h-5) unstable; urgency=low

  * src2tex.1 refers to /usr/share/doc.  Thanks to Stephen Stafford!
    (Closes: Bug#103186)

 -- Takao KAWAMURA <kawamura@debian.org>  Tue,  3 Jul 2001 10:53:37 +0900

src2tex (2.12h-4) unstable; urgency=low

  * FHS-compliant

 -- Takao KAWAMURA <kawamura@debian.org>  Sun, 19 Sep 1999 12:00:58 +0900

src2tex (2.12h-3) unstable; urgency=low

  * (control): Removed `Suggests: src2tex-examples'.

 -- Takao KAWAMURA <kawamura@debian.org>  Tue, 22 Jun 1999 09:38:44 +0900

src2tex (2.12h-2) unstable; urgency=low

  * Initial Release for Debian (previous versions were uploaded to Debian
    JP Project).
  * (control): src2tex-examples was merged into src2tex.
  * Changed maintainer's email address.
  * Updated to Standards-Version 2.5.1.0.

 -- Takao KAWAMURA <kawamura@debian.org>  Thu, 27 May 1999 13:18:53 +0900

src2tex (2.12h-1) unstable; urgency=low

  * Initial Release.

 -- Takao KAWAMURA <kawamura@debian.or.jp>  Tue,  2 Jun 1998 19:32:36 +0900
