=== debian/control ===
Source: src2tex
Section: tex
Priority: optional
Maintainer: Sebastian Harl <tokkee@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8

Package: src2tex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: texlive
Description: converter from source program files to TeX format files
 src2tex [resp. src2latex] is a sort of text converter from BASIC, C,
 C++, OBJECTIVE-C, COBOL, FORTRAN, HTML, JAVA, LISP, MAKE, PASCAL,
 PERL, SCHEME, SHELL, TCL/TK and ASIR, MACSYMA, MAPLE, MATHEMATICA,
 MATLAB, MAXIMA, MuPAD, OCTAVE, REDUCE to TeX [resp. LaTeX]. However,
 it is not a simple pretty-printer; actually, it is designed to
 fulfill the following desires:
 .
  (1) We want to write mathematical formulae in comment area of source
      program.
  (2) We would like to patch PS or EPS figures upon source program. 
  (3) We need a simple and easy-to-use tool which enables to combine
      documentation and manual with source program.
  (4) We often have to translate our program from text format to TeX
      format when we want to quote our own program in research report,
      lecture note, etc. That is quite time consuming, so it should be
      automated.
